
//boutons pour tinymce
tinymce_buttons1 = "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,styleselect,formatselect,fontselect,fontsizeselect";
tinymce_buttons2 = "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor";
tinymce_buttons3 = "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen";
tinymce_buttons4 = "insertlayer,moveforward,movebackward,absolute,|,styleprops,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,pagebreak";

//valide les champs obligatoires avant d'envoyer le formulaire
function validEditRubrique(){
	if(document.getElementById("sousType").value == "" || document.getElementById("libelle").value == ""){
		alert("Le sous type et le libelle doivent obligatoirement être renseignés.");
		return false;
	}
	else
		return true;
}

//valide les champs obligatoires avant d'envoyer le formulaire
function validEditEspace(){
	if(document.getElementById("sousType").value == "" || document.getElementById("libelle").value == ""){
		alert("Le sous type et le libelle doivent obligatoirement être renseignés.");
		return false;
	}
	else
		return true;
}

//valide les champs obligatoires avant d'envoyer le formulaire
function validEditMatiere(){
	var meres = document.getElementById('meres');
	for(var i = 0; i < meres.options.length; i++)
	{
		meres.options[i].selected = true;
	}
	if(document.getElementById("sousType").value == "" || document.getElementById("libelle").value == ""){
		alert("Le sous type et le libelle doivent obligatoirement être renseignés.");
		return false;
	}
	else
		return true;
}

//valide les champs obligatoires avant d'envoyer le formulaire
function validEditActivite(){
	if(document.getElementById("sousType").value == "" || document.getElementById("libelle").value == ""){
		alert("Le sous type et le libelle doivent obligatoirement être renseignés.");
		return false;
	}
	else
		return true;
}

//valide les champs obligatoires avant d'envoyer le formulaire
function validEditActiviteDocs(){
	var meres = document.getElementById('meres');
	for(var i = 0; i < meres.options.length; i++)
	{
		meres.options[i].selected = true;
	}
	return true;
}

//valide les champs obligatoires avant d'envoyer le formulaire
function validEditTravail(){
	var nbMin = document.getElementById("nbMin").value;
	var nbMax = document.getElementById("nbMax").value;
	if(document.getElementById("sousType").value == "" || document.getElementById("libelle").value == ""
		|| !estNombre(nbMin) || !estNombre(nbMax) || nbMin < 1 || nbMax < 0 || (nbMin > nbMax && nbMax != 0)){
		alert("Le sous type et le libelle doivent obligatoirement être renseignés, ainsi que les tailles min/max des groupes.");
		return false;
	}
	else
		return true;
}

// valide la liste de meres choisies et les champs obligatoires avant d'envoyer le formulaire
function validEditDocument(){
	var meres = document.getElementById('meres');
	for(var i = 0; i < meres.options.length; i++)
	{
		meres.options[i].selected = true;
	}
	if(document.getElementById("sousType").value == "" || document.getElementById("libelle").value == ""){
		alert("Le sous type et le libelle doivent obligatoirement être renseignés.");
		return false;
	}
	else
		return true;
}

//valide les champs avant d'envoyer le formulaire
function validCorrectionTravaux(){
	if(!estNombre(document.getElementById("note").value) || document.getElementById("commentaire").value.length >= 200){
		alert("La note doit être un nombre et le commentaire ne peut dépasser 200 caractères.");
		return false;
	}
	else
		return true;
}

//verifie que la chaine donnee est un nombre entier
function estNombre(nb){
	if(nb == "")
		return false;
	for(var i = 0; i < nb.length; i++){
		if(nb.charAt(i) < '0' || nb.charAt(i) > '9')
			return false;
	}
	return true;
}

//Selectionne l'option de value valueOption dans le select d'id idSelect.
function select(idSelect, valueOption){
	var select = document.getElementById(idSelect);
	for(var i = 0; i < select.options.length; i++){
		if(select.options[i].value == valueOption){
			select.options[i].selected = "selected";
			break;
		}
	}
}

//enleve de la liste donnee tous les elements selectionnes
function viderListe(liste)
{
	var objDestination = document.getElementById(liste);
	
	for(var i = 0; i < objDestination.options.length; i++){
		if(objDestination.options[i].selected){
			objDestination.removeChild(objDestination.options[i]);
		}
	}
	return true;
}

//transfere les elements selectionnes dans la liste origine vers la liste destination (page editDocuments et editActivitedocs)
function transfertListe(libelle, id)
{
	var objDestination = document.getElementById("meres");
	
	for(var i = 0; i < objDestination.options.length; i++){
		if(objDestination.options[i].value == id){
			return false;
		}
	}
	objDestination.appendChild(new Option(libelle, id));
	return true;
}

function changerAffectation(){
	var onOff = document.getElementById("affectationOnOff");
	var groupe = document.getElementById("groupe");
	var dateDebut = document.getElementById("dateDebut");
	var dateLimite = document.getElementById("dateLimite");
	if(onOff.checked){
		groupe.enabled = true;
		dateDebut.enabled = true;
		dateLimite.enabled = true;
		groupe.disabled = false;
		dateDebut.disabled = false;
		dateLimite.disabled = false;
	}
	else{
		groupe.enabled = false;
		dateDebut.enabled = false;
		dateLimite.enabled = false;
		groupe.disabled = true;
		dateDebut.disabled = true;
		dateLimite.disabled = true;
	}
}

function showDatePublication(){
	var etat = document.getElementById("etat");
	etat = etat.options[etat.options.selectedIndex];
	if(etat.innerHTML == "ATTENTE"){
		$("#divdatePublication").addClass('display: block;').toggle('slide');
	}
	else{
		document.getElementById("divdatePublication").style.display = 'none';
	}
}


$(document).ready(function(){
	$('#datePublication').datetimepicker();
	/*
	 * DEBUT TINYMCE
	 */
	$('textarea.tinymce').tinymce({
		// Location of TinyMCE script
		script_url : urlServer+'js/tiny_mce/tiny_mce.js',
	
		// General options
		mode: "none",
		theme : "advanced",
		plugins : "autolink,lists,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,advlist",
	
		// Theme options
		theme_advanced_buttons1 : tinymce_buttons1,
		theme_advanced_buttons2 : tinymce_buttons2,
		theme_advanced_buttons3 : tinymce_buttons3,
		theme_advanced_buttons4 : tinymce_buttons4,
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		theme_advanced_statusbar_location : "bottom",
		theme_advanced_resizing : true,
	});
	/*
	 * FIN TINYMCE
	 */
});